{
  "name": "@push.rocks/smarthash",
  "version": "3.0.2",
  "private": false,
  "description": "simplified access to node hash functions",
  "main": "dist_ts/index.js",
  "typings": "dist_ts/index.d.ts",
  "scripts": {
    "test": "(tstest test/ --web)",
    "build": "(tsbuild --web)",
    "buildDocs": "tsdoc"
  },
  "keywords": [
    "pushrocks",
    "typescript",
    "hash",
    "node",
    "sha256",
    "stream",
    "filehash"
  ],
  "author": "Lossless GmbH",
  "license": "MIT",
  "devDependencies": {
    "@gitzone/tsbuild": "^2.1.63",
    "@gitzone/tsrun": "^1.2.37",
    "@gitzone/tstest": "^1.0.71",
    "@pushrocks/tapbundle": "^5.0.3",
    "@types/node": "^18.0.0"
  },
  "dependencies": {
    "@pushrocks/smartjson": "^5.0.1",
    "@pushrocks/smartpromise": "^3.1.7",
    "@types/through2": "^2.0.36",
    "through2": "^4.0.2"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ],
  "type": "module"
}